## org.apache.xalan.xslt
Class ElemExtensionCall

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemUse
                        |
                        +--org.apache.xalan.xslt.ElemLiteralResult
                              |
                              +--org.apache.xalan.xslt.ElemExtensionCall

public class ElemExtensionCall
extends ElemLiteralResult

**For advanced use only** Implement an extension element.

See Also:
  Serialized Form

Fields inherited from class org.apache.xalan.xslt.ElemLiteralResult
`m_avts, m_extensionElementPrefixes, m_qname`

Fields inherited from class org.apache.xalan.xslt.ElemUse
`m_attributeSetsNames`

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Method Summary
`boolean` `elementIsAvailable()` **For advanced use only** Tell if this extension element is available for execution.
`void` `execute(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)` **For advanced use only**
`java.lang.String` `getAttribute(java.lang.String name)` **For advanced use only** Return the raw value of the attribute.
`java.lang.String` `getAttribute(java.lang.String name, org.w3c.dom.Node sourceNode, XSLTEngineImpl processor)` **For advanced use only** Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".
`org.xml.sax.AttributeList` `getAttributeList()` **For advanced use only** Return the Attributes
`int` `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`appendChild, childrenToString, error, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode

`cloneNode, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemLiteralResult

### elementIsAvailable

    public boolean elementIsAvailable()

  **For advanced use only** Tell if this extension element is available for execution.

### execute

    public void execute(XSLTEngineImpl processor,
                        org.w3c.dom.Node sourceTree,
                        org.w3c.dom.Node sourceNode,
                        QName mode)
                 throws XSLProcessorException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Overrides:
    execute in class ElemLiteralResult

### getAttributeList

    public org.xml.sax.AttributeList getAttributeList()

  **For advanced use only** Return the Attributes

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  **For advanced use only** Return the raw value of the attribute.
  Overrides:
    getAttribute in class UnImplNode

### getAttribute

    public java.lang.String getAttribute(java.lang.String name,
                                         org.w3c.dom.Node sourceNode,
                                         XSLTEngineImpl processor)
                                  throws org.xml.sax.SAXException

  **For advanced use only** Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".

Copyright © 2000 Apache XML Project. All Rights Reserved.